RULEAPI-788 Turn diff-view validation on (#2883)

This commit is contained in:
Marco Borgeaud 2023-09-14 12:03:01 +02:00 committed by GitHub
parent 84d9a3c065
commit 915ef808a2
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23
2 changed files with 1 additions and 6 deletions

View File

@ -80,10 +80,7 @@ bad_diffs=$(grep_nofail -e 'DIFF' "${TMPOUT_DIR}/asciidoc_introspection" | extra
if [[ -n "$bad_diffs" ]]
then
printf >&2 'ERROR: Diff highlighting is used incorrectly:\n-----\n%s\n-----\n' "$bad_diffs"
if [[ -n "${RUNNING_CI_INTEGRATION_TEST:-}" ]]
then
exit_code=1 # FIXME: there are currently validation errors in the repo. Unconditionally enable this line when they are all fixed.
fi
exit_code=1
fi
exit $exit_code

View File

@ -4,8 +4,6 @@
set -uo pipefail
export RUNNING_CI_INTEGRATION_TEST=1 # FIXME remove this once it's no longer needed in validate.sh
# We could write complex checks to ensure only specific commands fail and emit
# a specific error message. Instead, we rely on `set -xe` to consistently and
# reliably exit with non-zero if any command fails and pinpoint which command